import { app } from '../../app.ts';
import { ConfigModel } from './models/model.ts';

app
  .route({
    path: 'config',
    key: 'getUploadConfig',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const { id } = ctx.state.tokenUser;
    const config = await ConfigModel.getUploadConfig({
      uid: id,
    });
    ctx.body = config;
  })
  .addTo(app);

app
  .route({
    path: 'config',
    key: 'setUploadConfig',
    middleware: ['auth'],
  })
  .define(async (ctx) => {
    const { id } = ctx.state.tokenUser;
    const data = ctx.query.data || {};
    const config = await ConfigModel.setUploadConfig({
      uid: id,
      data,
    });
    ctx.body = config;
  })
  .addTo(app);
